'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var Resizable = function Resizable(el) {
  if (el.className.indexOf('resizable') === -1) {
    return;
  }
  var resizable = el;
  var resizer = resizable.querySelector('.resizer');

  var startX = undefined;
  var startWidth = undefined;

  var doDrag = function doDrag(e) {
    resizable.style.width = startWidth + e.clientX - startX + 'px';
  };

  var stopDrag = function stopDrag() {
    document.documentElement.removeEventListener('mousemove', doDrag, false);
    document.documentElement.removeEventListener('mouseup', stopDrag, false);
  };

  var initDrag = function initDrag(e) {
    startX = e.clientX;
    startWidth = parseInt(document.defaultView.getComputedStyle(resizable).width, 10);
    document.documentElement.addEventListener('mousemove', doDrag, false);
    document.documentElement.addEventListener('mouseup', stopDrag, false);
  };

  resizer.addEventListener('mousedown', initDrag, false);
};

exports['default'] = Resizable;
module.exports = exports['default'];